Subject: deposit and bill
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>
Date: Sat, 24 Nov 2007 11:42:15 -0500

Hi Katy,

Hope you had a great Thanksgiving with Al's family. No, I'm not psychic - I saw David on his bike before the snow hit. I've enclosed a copy of my insurance bill. Could you please check my medical account once it has been paid? This should wipe it pretty much out, if I have calculated correctly. 

I will be making a deposit on Monday of $50 - it is a wedding deposit for sept. of next year. 

Could you please let me know when the insurance bill is paid? 

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007  cell 989 670-8196
www.HuronCityMuseums.org